Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1026242 - [Admin Portal] Setting config value DefaultWindowsTimeZone needs validation for typos
Summary: [Admin Portal] Setting config value DefaultWindowsTimeZone needs validation f...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Martin Betak
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On: 989396
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-11-04 09:23 UTC by Michal Skrivanek
Modified: 2014-09-18 12:24 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of: 989396
Environment:
Last Closed: 2014-06-12 14:04:33 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 20501 None None None Never

Description Michal Skrivanek 2013-11-04 09:23:31 UTC
follow up bug to add validation as per:

--- Additional comment from Martin Betak on 2013-10-24 08:16:08 EDT ---

Ok, so the problem was the typo in the timezone "IsrEAl Standard Time" and since the engine falls back to GMT when the timezone entered via engine-config is invalid it looks like the value hasn't changed. 

Posted a patch to add timezone validation to engine-config.

+++ This bug was initially created as a clone of Bug #989396 +++

Description of problem:
Some values which are changeable with rhevm-config (ie. DefaultWindowsTimeZone) look cached in client's browser and are not refreshed after engine is restarted and the user is re-logged into Admin Portal again.

Refreshing the app in browser works but this step is - I think - not documented as mandatory.

Version-Release number of selected component (if applicable):
sf19

How reproducible:
100%

Steps to Reproduce:
1. login into Admin Portal, create new VM, check its TZ in VM properties
2. log out
3. rhevm-config -s DefaultWindowsTimeZone="Isreal Standard Time"
4. login into Admin Portal, create new VM, check its TZ in VM properties

Actual results:
changed TZ (DefaultWindowsTimeZone) is not taken into account

Expected results:
the application should not cache these kind of values?

Additional info:
seems relevant to BZ844429 but it's quite inactive. If it is duplicate, close it. If one must refresh browser after each change with rhevm-config, please state it and put it in docs.

Comment 1 Ilanit Stein 2014-02-17 14:42:43 UTC
Verified on ovirt version: ovirt-engine-3.4.0-0.7.beta2.el6.noarch

[root@dhcp163-53 ~]# engine-config -s DefaultWindowsTimeZone="IsrEAl Standard Time"
Cannot set value IsrEAl Standard Time to key DefaultWindowsTimeZone. IsrEAl Standard Time is not a valid time zone for Windows OS. Please enter a value like 'GMT Standard Time' or 'Israel Standard Time'

Comment 2 Itamar Heim 2014-06-12 14:04:33 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.